
#include <SPI.h>
#include <nRF24L01.h>
#include <RF24.h>
#include<Servo.h>
Servo servo; 
#define CE_PIN   9 
#define CSN_PIN 10
#define led 4
const uint64_t pipe = 0xE8E8F0F0E1LL;
RF24 radio(CE_PIN, CSN_PIN);
int joystickData[3];
void setup() {
  pinMode(4, OUTPUT);
  radio.begin(); 
  radio.openReadingPipe(1, pipe);
  radio.startListening();;
  servo.attach(6);  
  Serial.begin(9600);
}

void loop() {

  if ( radio.available() )
  {
    radio.read( joystickData, sizeof(joystickData) ); 

    int  xpos = joystickData[1];  
    int button = joystickData[2];
    int xpos1 = map(xpos, 0, 1023, 0, 180);
    bool done = false;  
    while (!done) { 
      done = radio.read(joystickData, 1);
      servo.write (xpos1);
      delay(10);
    }
    if (button == 0) { //led
      digitalWrite(4, HIGH);

    }
    else {
      digitalWrite(4, LOW);
    }
  }
}